
package com.ejie.ab79.clientesWS.ab59WebService;

import javax.xml.ws.WebFault;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebFault(name = "Ab59Exception", targetNamespace = "http://ab59.exe.webservice/")
public class Ab59Exception extends Exception {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * Java type that goes as soapenv:Fault detail element.
	 * 
	 */
	private Ab59ExceptionGeneral faultInfo;

	/**
	 * 
	 * @param faultInfo
	 * @param message
	 */
	public Ab59Exception(String message, Ab59ExceptionGeneral faultInfo) {
		super(message);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @param faultInfo
	 * @param cause
	 * @param message
	 */
	public Ab59Exception(String message, Ab59ExceptionGeneral faultInfo, Throwable cause) {
		super(message, cause);
		this.faultInfo = faultInfo;
	}

	/**
	 * 
	 * @return returns fault bean:
	 *         com.ejie.ab79.clientesWS.ab59WebService.Ab59ExceptionGeneral
	 */
	public Ab59ExceptionGeneral getFaultInfo() {
		return faultInfo;
	}

}
